<template>
  <div @keyup.enter="signIn" class="wrapper">

     <div class="loginForm">
      <div class="appName">
        <h1>UniApp</h1>
      </div>
      <div>
        <div class="labelHolder">
          <label for="">Email
            <input type="email" placeholder="Email" v-model="signInData.email" required>
          </label>
        </div>
          <div class="labelHolder">
            <label for="">Password
              <input type="password" placeholder="Password" v-model="signInData.password"  required>
            </label>
          </div>
        <button class="loginButton" @click="signIn">LOGIN</button>

        <div class="errors" v-if="errors.length">
          <p>
            <i v-for="error in errors" :key="error">{{ error }}</i>
          </p>
        </div>
      </div>
    </div>
  
  </div>  
</template>

<script>
import { mapGetters } from 'vuex';
import axios from 'axios';

export default {
  data() {
    return {
      check: false,
      errors: []
    };
  }, 

  computed:{
    ...mapGetters([
      'signInData',
      'server'
    ])
  }, 

  methods:{
    signIn(){
      if(this.signInData.email !== '' && this.signInData.password !== ''){  
        // check credentials, connect to the database 
        var vm = this;
        console.log('test');
        
        axios.post(this.server + '/auth/admin', JSON.stringify(this.signInData))
        .then(function (response) {
            console.log(response);
            vm.$router.push('/dashboard/students');
        })
        .catch((error) => {
            this.errors = []
            this.errors.push(error.response.data.error)
        });
      }
      // else
      //   this.check = true; 
    }
  }
}
</script>

<style scoped>

/*
COLORS USED IN PROJECT
#FF9F1C 
#E71D36
#2EC4B6
#FDFFFC
#011627
*/

.wrapper {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.loginForm {
  background: #e71d36;
  padding: 30px;
  width: 40%;
  max-width: 100%;
}

.loginForm h1 {
  margin-top: 0px;
}

.appName {
  color: #fff;
  text-align: center; 
}

.labelHolder {
  width: 100%;
  margin-bottom: 15px;
}

.labelHolder label {
  color: #fff;
  margin-bottom: 5px;
}

.labelHolder input {
  width: 100%;
  padding: 15px;
  font-size: 18px;
  font-weight: 300;
  color: #000;
}

::-webkit-input-placeholder {
  /* Chrome/Opera/Safari */
  color: #444;
}
::-moz-placeholder {
  /* Firefox 19+ */
  color: #444;
}
:-ms-input-placeholder {
  /* IE 10+ */
  color: #444;
}
:-moz-placeholder {
  /* Firefox 18- */
  color: #444;
}

.loginButton {
  cursor: pointer;
  width: 100%;
  padding: 15px;
  border-radius: 0px;
  background: #fff;
  border: none;
  color: #e71d36;
  font-size: 22px;
  font-weight: bold;
  margin-top: 5px;
}

.loginButton:hover{
  background: #eee;
}

.loginButton:active{
  background: #fff;
}

.errors{
  margin-top: 10px;
  margin-bottom: -20px;
  text-align: center;
  color: #fff;
}
</style>
